#region  == Copyright == 
// =====================================================================
//  Microsoft Consulting Services France - Aymeric Mouill� - 2013
//  Projet     : Bulk Security Role Manager - Bulk Security Role Manager
//  Fichier    : User.cs (25/04/2013 15:30)
//  
//  Copyright (C) Microsoft Corporation.  All rights reserved.
// =====================================================================
#endregion

namespace CRM.BulkSecurityRoleManager
{
    #region  == Using == 
    using System;
    using System.Diagnostics;

    #endregion

    [DebuggerDisplay("{UserName} ({UserLogin})")]
    public class User
    {
        #region User Id
        /// <summary>
        /// Gets or sets the user id.
        /// </summary>
        /// <value>
        /// The user id.
        /// </value>
        public Guid UserId { get; set; }
        #endregion

        #region User Name
        /// <summary>
        /// Gets or sets the name of the user.
        /// </summary>
        /// <value>
        /// The name of the user.
        /// </value>
        public string UserName { get; set; }
        #endregion

        #region User Login
        /// <summary>
        /// Gets or sets the user login.
        /// </summary>
        /// <value>
        /// The user login.
        /// </value>
        public string UserLogin { get; set; }
        #endregion
    }
}
