#region  == Copyright == 
// =====================================================================
//  Microsoft Consulting Services France - Aymeric Mouill� - 2013
//  Projet     : Bulk Security Role Manager - Bulk Security Role Manager
//  Fichier    : Role.cs (25/04/2013 15:30)
//  
//  Copyright (C) Microsoft Corporation.  All rights reserved.
// =====================================================================
#endregion

namespace CRM.BulkSecurityRoleManager
{
    #region  == Using == 
    using System;
    using System.Diagnostics;

    #endregion

    [DebuggerDisplay("{RoleName} ({RoleId})")]
    public class Role
    {
        #region Role Id
        /// <summary>
        /// Gets or sets the role id.
        /// </summary>
        /// <value>
        /// The role id.
        /// </value>
        public Guid RoleId { get; set; }
        #endregion

        #region Role Name
        /// <summary>
        /// Gets or sets the name of the role.
        /// </summary>
        /// <value>
        /// The name of the role.
        /// </value>
        public string RoleName { get; set; }
        #endregion
    }
}
